Submit Name Change Request
curl --request POST \
--url https://api.geogen.io/v1/entities/name-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityId": "abc123def456",
"suggestedName": "Correct Company Name",
"reason": "The current name has a typo"
}
'import requests
url = "https://api.geogen.io/v1/entities/name-request"
payload = {
"entityId": "abc123def456",
"suggestedName": "Correct Company Name",
"reason": "The current name has a typo"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityId: 'abc123def456',
suggestedName: 'Correct Company Name',
reason: 'The current name has a typo'
})
};
fetch('https://api.geogen.io/v1/entities/name-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Entities
Submit Name Change Request
Submit a request to correct an entity’s display name. Entity names are global shared data and cannot be changed directly. Instead, submit a name correction request that will be reviewed by an admin.
Limit: One pending request per entity per workspace.
POST
/
entities
/
name-request
Submit Name Change Request
Authorizations
API key authentication. Format: Bearer wsk_your_api_key
Body
application/json
⌘I

